<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="kr.co.udapsoft.common.menu.*" %>
<%@ page import="kr.co.hsnc.common.util.*" %> 
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
	ctx.init(request, response);

	ValueObject user = ctx.getUser();
	
	ValueObject params = ctx.getParams();
	
	String FIRST_SIGNON = (String)request.getSession().getAttribute("FIRST_SIGNON");
	request.getSession().removeAttribute("FIRST_SIGNON");
	
	String ACCT_CAT_CODE  = user.get("ACCT_CAT_CODE");
	String ACCT_TYPE_CODE = user.get("ACCT_TYPE_CODE");
	
	MenuManager menuManager = new MenuManager(request);
	
	 String USE_SYSTEM = user.get("USE_SYSTEM");
	 
	 String systemMenuStript = menuManager.getSystemMenuScript();
	 String index = ctx.get("i");	 
%>

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=utf-8">
<LINK href="/css/buyer/style.css" rel="stylesheet" type="text/css">
<STYLE>
BODY {
 	WIDTH      : 100%   ;
 	OVERFLOW-X : HIDDEN ;
 	OVERFLOW-Y : HIDDEN ;
 	MARGIN	   : 0		;
}
</STYLE>
<SCRIPT language="JavaScript">

	function onSubMenuOver(obj) {
	    try {
			obj.style.backgroundColor='#cccccc';
			obj.style.color = "white";
	    }
	    catch(errorObject) {
	        showErrorDlg(errorObject);
	    }
	}
	
	function onSubMenuOut(obj) {
	    try {
			obj.style.backgroundColor='#FFFFFF';
			obj.style.color = 'black';
	    }
	    catch(errorObject) {
	        showErrorDlg(errorObject);
	    }
	}

</SCRIPT>
</HEAD>
<BODY>
		<TABLE width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" 
		                    style="cursor:hand; border-color: #404149; border-style: solid; border-top-width: 0px; border-bottom-width: 2px; border-right-width: 2px; border-left-width: 2px;
			        		filter=progid:DXImageTransform.Microsoft.fade(duration=0.2) progid:DXImageTransform.Microsoft.Shadow(color='#777777', direction=135, Strength=5);">

<%		int i = params.getInt("i");
		int subRowSetSize = menuManager.getSubMenuRowSetSize(i);

		for( int j = 0 ; j < subRowSetSize ; j++ ) { %>

<%			ValueObject subRow = menuManager.getSubMenuRowValue(i, j); %>

<%			if( subRow.get("GUBUN").equals("P") ) { %>
			        <TR height="22">		        
			            <TD onclick="parent.goMenu('<%= subRow.get("SCREEN_NAME") %>', '<%= params.get("PGM_GR_NAME") %>', '<%= subRow.get("PGM_NAME") %>');" 
			                onmouseover="onSubMenuOver(this);"
			                onmouseout ="onSubMenuOut(this);"
			                style="TEXT-INDENT:10px;"
			                align="left" bgcolor="white">
			            	<%-- 레이어의 길이를 자동 산출하기 위해 고정길이 글꼴 사용 --%>
			            	<FONT face="굴림체" color="#000000"><%= subRow.get("PGM_NAME") %></FONT>
			            </TD>
			        </TR>
<%			
			}
			else if( subRow.get("GUBUN").equals("L") && j != 0 && j != subRowSetSize - 1 ) { %>

					<!-- Line -->
			        <TR height="10">
			        	<TD>
				            <TABLE border="0" cellspacing="0" cellpadding="0" width="100%">
				            	<TR>
				            		<TD bgcolor="white" width="4"></TD>
				            		<TD bgcolor="white"><IMG src="/img/main/menuline_bg.gif" border="0" width="100%" height="10"></TD>
				            		<TD bgcolor="white" width="4"></TD>
				        		</TR>
				        	</TABLE>
			        	</TD>
			        </TR>
					<!-- Line -->
<%			} %>

<%		} 

%>
			    </TABLE>
</BODY>
</HTML>		